﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Media;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Choinka2019
{
    public partial class Form1 : Form
    {
        private Bitmap obraz = null;

        public Form1()
        {
            InitializeComponent();

            obraz = new Bitmap("choinka.png");
            //obraz.MakeTransparent(Color.Magenta);
            this.Bounds = new Rectangle(0, 0, obraz.Width, obraz.Height);

            SoundPlayer sp = new SoundPlayer("test.wav");
            sp.PlayLooping();
        }

        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            e.Graphics.DrawImage(obraz, 0, 0);
        }

        private void Form1_PreviewKeyDown(object sender, PreviewKeyDownEventArgs e)
        {
            if (e.KeyCode == Keys.Escape) Close();
        }

        private void Form1_FormClosed(object sender, FormClosedEventArgs e)
        {
            for (; Opacity > 0; Opacity -= 0.001) System.Threading.Thread.Sleep(1);
        }

        bool czyPrzenoszenie = false;
        private int x0, y0;

        private void Form1_MouseDown(object sender, MouseEventArgs e)
        {
            if (e.Button == MouseButtons.Left)
            {
                czyPrzenoszenie = true;                
                x0 = e.X;
                y0 = e.Y;
                Cursor = Cursors.Hand;
            }
        }

        private void Form1_MouseMove(object sender, MouseEventArgs e)
        {
            if (czyPrzenoszenie)
            {
                Left += e.X - x0;
                Top += e.Y - y0;
            }
        }

        private void Form1_MouseUp(object sender, MouseEventArgs e)
        {
            if (czyPrzenoszenie)
            {
                Cursor = Cursors.Default;
                czyPrzenoszenie = false;
            }                
        }

        private void oToolStripMenuItem_Click(object sender, EventArgs e)
        {
            notifyIcon1.ShowBalloonTip(3000); //w Windows 10 ignorowane
        }

        private void tsmiPokaż_Click(object sender, EventArgs e)
        {
            if(this.Visible)
            {
                this.Hide();
                tsmiPokaż.Text = "Pokaż";
            }
            else
            {
                this.Show();
                tsmiPokaż.Text = "Ukryj";
            }
        }

        private void zamknijToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Close();
        }
    }
}
